﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
'Custom View class 
#Event: ValueChanged (Value As Boolean)
#DesignerProperty: Key: CheckBoxValue, DisplayName: Checked, FieldType: Boolean, DefaultValue: False, Description: CheckBox value.
#DesignerProperty: Key: CheckBoxDotColor, DisplayName: Dot Color, FieldType: Color, DefaultValue: 0xFFFF0000, Description: CheckBox dot color
Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mBase As Panel
	Private Const DefaultColorConstant As Int = -984833 'ignore
	Private dotPanel As Panel
	Private isValue As Boolean
	Private dotColor As ColorDrawable
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
End Sub

Public Sub DesignerCreateView (Base As Panel, Lbl As Label, Props As Map)
	Dim warna As Int
	Dim pad As Object
	
	dotPanel.Initialize("Click")	
	mBase = Base
	isValue=Props.Get("CheckBoxValue")
	If isValue = True Then
		warna = Props.Get("CheckBoxDotColor")
	Else
		warna = Colors.White
	End If
	dotColor.Initialize(warna,10)
	pad = DipToCurrent(Base.Width/6)
	mBase.Padding= Array As Int (pad,pad,pad,pad)
	dotPanel.Background = dotColor
	mBase.AddView(dotPanel,0,0,mBase.Width, mBase.Height )
End Sub

Public Sub GetBase As Panel
	Return mBase
End Sub

Sub dotPanel_Click
	Log("dotPanel_click: di klik uy")
	If isValue=True Then
		dotPanel.Visible=False
		isValue=False
	Else
		dotPanel.Visible=True
		isValue=True
	End If
	CallSub2(mCallBack, mEventName & "_" & "ValueChanged",isValue)
	'CallSub2(mCallBack, mEventName, isValue)
End Sub

Sub b4aCheckBox1_ValueChanged (Value As Boolean)
	Dim val As String
	If Value=True Then
		val = "Checked"
	Else
		val = "Unchecked"
	End If
	ToastMessageShow("The checkbox value was " & val,False)
End Sub